.TH MT_SZ  "July 2002" "Presto Group" "scilab function"
.so ../sci.an
 
.SH NAME 
MT_SZ - 2D-translation-invariant CT_SZ-transformation of matrices with functions pairwise max and min.

.SH CALLING SEQUENCE
.nf
res = MT_SZ(x)
.fi

.SH PARAMETERS
.TP 10
x    :      
matrix to be processed by the MT_SZ.
.TP 10
res  :       
matrix of the MT_SZ transformation of x.

.SH DESCRIPTION
\fVMT_SZ\fR (is a matrix transformation) performs CT_SZ transformation i.e. 
first row wise then column wise, using the commutative functions pairwise-
maximum and pairwise-minimum, on the given matrix x. 

.SH EXAMPLE 
.nf 
x = [1 2; 3 4];
res = MT_SZ(x);  
.fi

.SH SEE ALSO
CT, CT_DI, CT_SZ, CT_ZS, MT, MT_DI, MT_ZS, QT, 
QT_DI, QT_SZ, QT_ZS, RT, RT_DI, RT_SZ, RT_ZS

.SH AUTHOR
Bernard Haasdonk

