.TH w_DI  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
w_DI -  performs w_DI-transformation of a matrix

.SH CALLING SEQUENCE
.nf
res = w_DI(x)
.fi
 
.SH PARAMETERS
.TP 10
x    :      
matrix to be transformed
.TP 10
res  :      
transformed matrix 

.SH DESCRIPTION
\fVw_DI\fR transforms a given matrix x such that the diagonal
elements will come into the first column of the resulting
matrix i.e. it translates the i-th row cyclically such that
the element in the i-th column comes into the first. This
function is necessary for the translation-invariant
transformations of the class CT_DI

.SH EXAMPLE 
.nf 
x = [11 12 13; 21 22 23; 31 32 33];
res = w_DI(x);  
.fi

.SH SEE ALSO
cycltrans, cyclrot, fcycltrans, simtrans, CT_DI, RT_DI, QT_DI, MT_DI

.SH AUTHOR
Bernard Haasdonk


