
//-----------------------------------------------------------------------  
// script builder.sce
//
// building libraries of all the routines
// a .bin file will be created for each .sci file 
// containing the scilab functions
//
//-----------------------------------------------------------------------  
//   $RCSfile: builder.sce,v $
//  $Revision: 1.1 $
//      $Date: 2002/09/10 15:57:14 $
//  Copyright: IIF-LMB $Author: poluru $
//
//-----------------------------------------------------------------------


sub_dir = ['basic';'classification';'demos'; 'features'; ...
	   'misc';'visualization'];

[units,typ,files,mod,swap] = file();
files = ''''+ strcat(files,'''') +'''';
quotes = strindex(files,'''');
dir = strindex(files,'builder.sce''');
ind = 1+quotes(find(quotes==dir(1)+11)-1);
DIR = part(files,[ind(1):dir(1)-1]);
DIR_PATH =pwd();

if DIR ~='',  
  old_dir = pwd();
  chdir(DIR);
  DIR_PATH = pwd();
  chdir(old_dir);
end

if MSDOS
  execstr('genlib('''+sub_dir+'_lib'','''+DIR_PATH+'\macros\'+sub_dir+''')');
else
  execstr('genlib('''+sub_dir+'_lib'','''+DIR_PATH+'/macros/'+sub_dir+''')');  
end

clear DIR DIR_PATH dir files ind mod old_dir ... 
    quotes sub_dir swap typ units


