.TH binom_coeff  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
binom_coeff - calculation of binomial-coefficient.

.SH CALLING SEQUENCE
.nf
res =binom_coeff(n,k)
.fi

.SH PARAMETERS
.TP 10
n    :      
a positive integer
.TP 10
k    :      
a positive integer in the range from 0 to n
.TP 10
res  :      
binomial coefficient

.SH DESCRIPTION
\fVbinom_coeff\fR calculates the  binomial-coefficient "k out of n" 
where n is a positive integer and k should be in the range [0,...,n].

.SH EXAMPLE 
.nf 
n = 4
k = 2
res = binom_coeff(n, k);  
.fi

.SH AUTHOR
Bernard Haasdonk

